Announcement

Collapse
No announcement yet.

PHP 5.4 - Warning: Illegal string offset 'userid' in ..../includes/functions.php + others while editing a user

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • PHP 5.4 - Warning: Illegal string offset 'userid' in ..../includes/functions.php + others while editing a user

    See: http://tracker.vbulletin.com/browse/VBIV-15956 (Since PHP 5.4 upgrade) Errors display when editing a user. .../forum/admincp/index.php?loc=user.php%3Fdo%3Dedit%26u%3D4710
    Modcp has a similar issue.
    Warning: Illegal string offset 'userid' in ..../includes/functions.php on line 988
    Warning: Illegal string offset 'userid' in ..../includes/functions.php on line 991
    Warning: Illegal string offset 'usergroupid' in ..../includes/functions.php on line 931
    Warning: Illegal string offset 'usergroupid' in ..../includes/functions.php on line 997
    Warning: Illegal string offset 'userid' in ..../includes/functions.php on line 997



    Attached Files
    environment: Centos 6.9, Apache v2.4.25, PHP 5.6.30/xCache, MariaDB 10.22 -- vB5 Connect Licensed

    AusPhotography - Australia's Premier Photographic Forum vB4.2.3
    Rick (site owner) and Kym (site tech) sharing this account

  • #2
    I take it you are on 4.2.2? Do you have
    PHP Code:
    define('SKIP_ALL_ERRORS'true); 
    in your config.php?
    http://www.swgoths.org How to make money online Forum

    http://www.phenix-limited.com Forums Forum

    Comment


    • #3
      Originally posted by donald1234 View Post
      I take it you are on 4.2.2? Do you have
      PHP Code:
      define('SKIP_ALL_ERRORS'true); 
      in your config.php?
      No, I'd rather fix the code than suppress messages.
      environment: Centos 6.9, Apache v2.4.25, PHP 5.6.30/xCache, MariaDB 10.22 -- vB5 Connect Licensed

      AusPhotography - Australia's Premier Photographic Forum vB4.2.3
      Rick (site owner) and Kym (site tech) sharing this account

      Comment


      • #4
        Does adding the skip code make the warnings (they are not errors) go away?

        Note that php warnings do not mean the code needs "fixing".
        MARK.B | vBULLETIN SUPPORT

        TalkNewsUK - My vBulletin 5.4.2 Demo - FEATURING "ROUTE BY NODE"!
        AdminAmmo - My Cloud Demo

        Comment


        • AusPhotography
          AusPhotography commented
          Editing a comment
          Yes it makes the warning go away. But ideally the code should follow the new rules. In this case something that is not an array being treated as an array - just good practice
          Last edited by AusPhotography; Mon 26th May '14, 7:08pm.

      • #5
        Mea culpa, it was a plugin
        environment: Centos 6.9, Apache v2.4.25, PHP 5.6.30/xCache, MariaDB 10.22 -- vB5 Connect Licensed

        AusPhotography - Australia's Premier Photographic Forum vB4.2.3
        Rick (site owner) and Kym (site tech) sharing this account

        Comment


        • #6
          Which one?
          Psychlinks Mental Health Support Forum
          Local Search Forum

          Comment


          • #7
            That post is three and a half years old, I dont think that user has logged in for a while.
            This is my signature.

            Comment


            • #8
              Turn off all the mods and turn on one at a time. Find out what the mod is causing the problem.

              Comment

              Working...
              X